%define	_exec_prefix	/

Summary:	The GNU line editor
Name:		ed
Version:	1.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Text tools
URL:		http://www.gnu.org/software/ed/ed.html
Source0:	ftp://ftp.gnu.org/pub/gnu/ed/ed-%{version}.tar.gz
Requires(post): info-install
Requires(preun):info-install
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ed is a line-oriented text editor, used to create, display, and modify text
files (both interactively and via shell scripts).  For most purposes, ed has
been replaced in normal usage by full-screen editors (emacs and vi, for
example).

Ed was the original UNIX editor, and may be used by some programs.  In general,
however, you probably don't need to install it and you probably won't use it
much.

%prep
%setup -q

%build
%configure2_5x --bindir=/bin CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"
%make

%check
# all tests must pass
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc NEWS README AUTHORS TODO ChangeLog
/bin/ed
/bin/red
%{_infodir}/ed.info*
%{_mandir}/*/*


%changelog
* Mon Feb 02 2009 Funda Wang <fundawang@mandriva.org> 1.2-1mdv2009.1
+ Revision: 336427
- New version 1.2

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.org> 1.1-2mdv2009.1
+ Revision: 316560
- rebuild

* Fri Oct 17 2008 Funda Wang <fundawang@mandriva.org> 1.1-1mdv2009.1
+ Revision: 294578
- new version 1.1
- specify flags in configure script
- put check command at correct section

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 1.0-1mdv2009.0
+ Revision: 275947
- New version 1.0
- rediff install patch

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-2mdv2009.0
+ Revision: 220716
- rebuild

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.1
+ Revision: 176943
- update to new version 0.9

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8-2mdv2008.1
+ Revision: 149687
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Vigier <nvigier@mandriva.com>
    - update license tag (GPLv3+)

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 0.8-1mdv2008.0
+ Revision: 67005
- New versino 0.8

* Thu Jul 19 2007 Funda Wang <fundawang@mandriva.org> 0.7-1mdv2008.0
+ Revision: 53460
- New version

* Sat Jul 07 2007 Nicolas Vigier <nvigier@mandriva.com> 0.6-1mdv2008.0
+ Revision: 49597
- new version

* Tue Jun 26 2007 Nicolas Vigier <nvigier@mandriva.com> 0.5-1mdv2008.0
+ Revision: 44590
- new version 0.5


* Tue Jan 23 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-1mdv2007.0
+ Revision: 112641
- new bleeding edge version 0.4
- dropped unneeded patches:
  . ed-0.2-li18nux-patch
  . ed-0.2-fixinfo.patch
  . ed-0.2-security-tempfile.patch
- added patch for install adjustments:
  . ed-0.4-install.patch
- 'configure' is not autotools based anymore, hooray!
- POSIX conformance info moved from POSIX to README
- THANKS file renamed to AUTHORS
- small spec cleanup

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-33mdv2007.1
+ Revision: 86391
- Import ed

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-33mdv2007.1
- bunzip patches
- fix deps

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2-32mdk
- Rebuild

* Wed Jun 09 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2-31mdk
- force the use of autoconf2.1
- cosmetics

